How to change configuration settings
Basic syntax
PHP Manual
PHP Manual

# Language Reference

- Basic syntax
  - Instruction separation
  - Comments
- Types
  - Booleans
  - Integers
  - Floating point numbers
  - Strings
  - Arrays
  - Objects
  - Resources
  - NULL
  - Pseudo-types and variables used in this documentation
  - Type Juggling
- Variables
  - Predefined variables
  - Variable scope
  - Variable variables
  - Variables From External Sources
- Constants
  - Magic constants
- Expressions
- Operators
  - Arithmetic Operators
  - Assignment Operators
  - Bitwise Operators
  - Comparison Operators
  - Error Control Operators
  - Execution Operators
  - Incrementing/Decrementing Operators
  - Logical Operators
  - String Operators
  - Array Operators
  - Type Operators
- Control Structures
  - if
  - else
  - elseif/else if
  - Alternative syntax for control structures
  - while
  - do-while
  - for
  - foreach
  - break
  - continue
  - switch
  - declare
  - return
  - require
  - include
  - require_once
  - include_once
- Functions
  - Function arguments
  - Returning values
  - Variable functions
  - Internal (built-in) functions
- Classes and Objects (PHP 4)
  - extends
  - Constructors
  - Scope Resolution Operator (::)
  - parent
  - Serializing objects - objects in sessions
  - The magic functions __sleep and __wakeup
  - References inside the constructor
  - Comparing objects
- Classes and Objects (PHP 5)
  - The Basics
  - Autoloading Objects
  - Constructors and Destructors
  - Visibility
  - Scope Resolution Operator (::)
  - Static Keyword
  - Class Constants
  - Class Abstraction
  - Object Interfaces
  - Overloading
  - Object Iteration
  - Patterns
  - Magic Methods
  - Final Keyword
  - Object cloning
  - Comparing objects
  - Reflection
  - Type Hinting
  - Late Static Bindings
  - Objects and references
- Namespaces
  - Namespace definition
  - Using namespaces
  - Global space
  - __NAMESPACE__
  - Name resolution rules
- Exceptions
- References Explained
  - What References Do
  - What References Are Not
  - Passing by Reference
  - Returning References
  - Unsetting References
  - Spotting References
- Predefined variables
  - Superglobals — Superglobals are built-in variables that are always available in all scopes
  - $GLOBALS — References all variables available in global scope
  - $_SERVER — Server and execution environment information
  - $_GET — HTTP GET variables
  - $_POST — HTTP POST variables
  - $_FILES — HTTP File Upload variables
  - $_REQUEST — HTTP Request variables
  - $_SESSION — Session variables
  - $_ENV — Environment variables
  - $_COOKIE — HTTP Cookies
  - $php_errormsg — The previous error message
  - $HTTP_RAW_POST_DATA — Raw POST data
  - $http_response_header — HTTP response headers
  - $argc — The number of arguments passed to script
  - $argv — Array of arguments passed to script
- Predefined Exceptions
  - Exception
  - ErrorException
- Context options and parameters
  - Socket context options — Socket context option listing
  - HTTP context options — HTTP context option listing
  - FTP context options — FTP context option listing
  - SSL context options — SSL context option listing
  - CURL context options — CURL context option listing
  - Context parameters — Context parameter listing

How to change configuration settings
Basic syntax
PHP Manual
PHP Manual